SystemOrganization addCategory: #GODKernelExceptions!

Error subclass: #GODDataLayoutGridMustBeAGODData
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODKernelExceptions'!

!GODDataLayoutGridMustBeAGODData methodsFor: 'printing' stamp: 'has 9/26/2014 23:01'!
description
	"A layoutGrid must be an GODData"

	^ 'The layoutGrid attribute must receives a matrix of GODData'.! !

Error subclass: #GODDataTagAlreadyExistsError
	instanceVariableNames: 'tagName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODKernelExceptions'!

!GODDataTagAlreadyExistsError class methodsFor: 'instance creation' stamp: 'has 9/20/2014 20:15'!
tagName: aTagName

	^(self new)
		tagName: aTagName;
		yourself.! !

!GODDataTagAlreadyExistsError methodsFor: 'printing' stamp: 'has 9/20/2014 19:55'!
description
	"I am called when a existing tag is inserted again"

	^ 'The tag ', self tagName, ' already exists in the collection'.! !

!GODDataTagAlreadyExistsError methodsFor: 'accessing' stamp: 'has 9/20/2014 19:19'!
tagName
	^ tagName! !

!GODDataTagAlreadyExistsError methodsFor: 'accessing' stamp: 'has 9/20/2014 20:12'!
tagName: aString
	tagName := aString.! !

Error subclass: #GODDataTagMustBeAnOrderedCollection
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODKernelExceptions'!

!GODDataTagMustBeAnOrderedCollection methodsFor: 'printing' stamp: 'has 9/20/2014 19:32'!
description
	"A tag must be an OrderedCollection"

	^ 'The tag attribute must receives an OrderedCollection of tags'.! !
